function v_bar = projSGD(samples, thres,label)
if label == "GD w/o Filter" || label == "Oracle GD"|| label == "GD with Median" || label == "GD with Trimmed Mean" 
    v_bar = GradDescent(samples,thres,label);
elseif label == "SGD w/o Filter" || label == "Oracle SGD" || label == "SGD with Median" || label == "SGD with Trimmed Mean"
    v_bar = StochGradDescent(samples,thres,label);
end